Package org.mariadb.jdbc.plugin.credential

## Class CredentialPluginLoader

- java.lang.Object
- - org.mariadb.jdbc.plugin.credential.CredentialPluginLoader

    public final class CredentialPluginLoader
    extends Object

Provider to handle plugin authentication. This can allow library users to override our default Authentication provider.

### Constructor Summary

Constructors
`CredentialPluginLoader()`

### Method Summary

All Methods Static Methods Concrete Methods
`static CredentialPlugin` `get​(String type)` Get current Identity plugin according to option `identityType`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CredentialPluginLoader

    public CredentialPluginLoader()

### Method Detail

#### get

    public static CredentialPlugin get​(String type)
                                throws SQLException

Get current Identity plugin according to option `identityType`.

Parameters:
  `type` - identity plugin type
Returns:
  identity plugin
Throws:
  `SQLException` - if no identity plugin found with this type is in classpath